package com.jiayue.ssi.backenum;

/**
 * 业务操作类型
 *
 * @author ruoyi
 */
public enum BusinessType
{
    /**
     * 查询
     */
    QUERY,
    /**
     * 解锁
     */
    UNLOCK,
    /**
     * 越权访问
     */
    BAC,
    /**
     * 其它
     */
    OTHER,
    /**
     * 初始/重置密码
     */
    RESETPWD,

    /**
     * 新增
     */
    INSERT,

    /**
     * 修改
     */
    UPDATE,
    /**
     * 个人密码修改
     */
    PWDUPDATE,

    /**
     * 删除
     */
    DELETE,

    /**
     * 授权
     */
    GRANT,
    /**
     * 获取角色信息
     */
    GETROLE,

    /**
     * 导出
     */
    EXPORT,

    /**
     * 导入
     */
    IMPORT,

    /**
     * 强退
     */
    FORCE,

    /**
     * 生成代码
     */
    GENCODE,

    /**
     * 清空数据
     */
    CLEAN,
    /**
     * 连接超时
     */
    CTO,
    /**
     * IP异常
     */
    IPYC,
}
